<?php
/**
 * Tempe - Tasty PHP Application Framework
 *
 * @author      Dropsugar
 * @link        http://www.dropsugar.com
 * @copyright   2011 Rizky Ramadhan
 *
 * What? License?
 *
 **/

session_start();
date_default_timezone_set('Asia/Jakarta');

//require tempe
require '../redbean/rb.php'; 			// RedBeanPHP 1.3.2 	(http://www.redbeanphp.com)
require '../h2o/h2o/h2o.php'; 			// h2o 1.4.1			(http://www.h2o-template.org)
require '../Slim/Slim.php'; 			// Slim 1.3.2			(http://www.slimframework.com)
require '../h2o/h2oView.php';			// h2o - Slim binding
require '../mailer/ActionMailer.php'; 	// ActionMailer 0.1		(Rizky Ramadhan)

//initialize slim
Slim::init(array(
	'view' => 'h2oView',
	'templates.path' => '.'
));

R::setup("sqlite:database.txt"); 

require 'router.php';

//okay, all set... Go!
Slim::run();

?>

